"use strict";

var _sidebar = require("../sidebar");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('sidebar action creators', function () {
  it('returns a well-formed toggle sidebar action', function () {
    var toggleSidebarAction = (0, _sidebar.toggleSidebar)('12');
    expect(toggleSidebarAction).to.deep.equal({
      type: _constants.TOGGLE_SIDEBAR
    });
  });
  it('returns a well-formed setSidebarStimulusIsShowing action', function () {
    var action = (0, _sidebar.setSidebarStimulusIsShowing)('1', false);
    expect(action).to.deep.eq({
      type: _constants.SET_SIDEBAR_STIMULUS_IS_SHOWING,
      payload: {
        stimulusId: '1',
        bool: false
      }
    });
  });
});